Bug 1292586 - [abrt] Thunar: thunar_file_get_display_name(): thunar killed by SIGSEGV
[abrt] Thunar: thunar_file_get_display_name(): thunar killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a28b3b0ae8aeadd03c96334d988...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 15:50 EST by John D.
Modified: 2016-12-20 12:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:07:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.23 KB, text/plain)
2015-12-17 15:50 EST, John D.
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-17 15:50 EST, John D.
no flags Details
File: core_backtrace (7.58 KB, text/plain)
2015-12-17 15:50 EST, John D.
no flags Details
File: dso_list (10.68 KB, text/plain)
2015-12-17 15:50 EST, John D.
no flags Details
File: environ (1.79 KB, text/plain)
2015-12-17 15:50 EST, John D.
no flags Details
File: exploitable (100 bytes, text/plain)
2015-12-17 15:50 EST, John D.
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-17 15:50 EST, John D.
no flags Details
File: maps (52.53 KB, text/plain)
2015-12-17 15:50 EST, John D.
no flags Details
File: mountinfo (3.29 KB, text/plain)
2015-12-17 15:50 EST, John D.
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-17 15:50 EST, John D.
no flags Details
File: open_fds (3.91 KB, text/plain)
2015-12-17 15:50 EST, John D.
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-12-17 15:50 EST, John D.
no flags Details

  None (edit)
Description John D. 2015-12-17 15:50:28 EST
Description of problem:
I've marked some .png files, made ctrl + X on them, then decided to delete them instead, and pressed DEL. This caused thunar to instantly shut down. After restarting and opening the folder, I saw that the files got actually deleted. So the process itself was OK, just Thunar shut down right after it apperently.

I cannot reproduce this, so the problem might be on another end.

Further, Thunar already quit few minutes ago too, but I can't remember what I've done there. I just remember that ctrl + X on some files was involved too.

Version-Release number of selected component:
Thunar-1.6.10-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        thunar
crash_function: thunar_file_get_display_name
executable:     /usr/bin/thunar
global_pid:     15941
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 thunar_file_get_display_name at thunar-file.c:3086
 #1 thunar_list_model_get_value at thunar-list-model.c:714
 #2 exo_icon_view_set_cell_data at exo-icon-view.c:4753
 #3 exo_icon_view_paint_item at exo-icon-view.c:3595
 #4 exo_icon_view_expose_event at exo-icon-view.c:1737
 #5 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #10 gtk_widget_event_internal at gtkwidget.c:5017
 #11 gtk_widget_send_expose at gtkwidget.c:4846
 #12 gtk_main_do_event at gtkmain.c:1621
 #13 _gdk_window_process_updates_recurse at gdkwindow.c:5479

Potential duplicate: bug 921784
Comment 1 John D. 2015-12-17 15:50:34 EST
Created attachment 1106846 [details]
File: backtrace
Comment 2 John D. 2015-12-17 15:50:35 EST
Created attachment 1106847 [details]
File: cgroup
Comment 3 John D. 2015-12-17 15:50:38 EST
Created attachment 1106848 [details]
File: core_backtrace
Comment 4 John D. 2015-12-17 15:50:41 EST
Created attachment 1106849 [details]
File: dso_list
Comment 5 John D. 2015-12-17 15:50:43 EST
Created attachment 1106850 [details]
File: environ
Comment 6 John D. 2015-12-17 15:50:44 EST
Created attachment 1106851 [details]
File: exploitable
Comment 7 John D. 2015-12-17 15:50:46 EST
Created attachment 1106852 [details]
File: limits
Comment 8 John D. 2015-12-17 15:50:48 EST
Created attachment 1106853 [details]
File: maps
Comment 9 John D. 2015-12-17 15:50:49 EST
Created attachment 1106854 [details]
File: mountinfo
Comment 10 John D. 2015-12-17 15:50:51 EST
Created attachment 1106855 [details]
File: namespaces
Comment 11 John D. 2015-12-17 15:50:52 EST
Created attachment 1106856 [details]
File: open_fds
Comment 12 John D. 2015-12-17 15:50:53 EST
Created attachment 1106857 [details]
File: proc_pid_status
Comment 13 Mukundan Ragavan 2015-12-17 17:02:34 EST
This is probably related to (or a variation of) thunar crashing with cut and paste or renaming.

https://bugzilla.redhat.com/show_bug.cgi?id=1278743

Can you try to install this and see if you can reproduce your issue?

https://koji.fedoraproject.org/koji/taskinfo?taskID=12075656
Comment 14 Cadel Watson 2016-09-02 04:08:44 EDT
Similar problem has been detected:

Thunar was open, displaying a folder.

A Bash script deleted a file which existed in the open folder, causing Thunar to crash. This has happened before, usually when renaming files.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        Thunar --daemon
crash_function: thunar_file_get_display_name
executable:     /usr/bin/thunar
global_pid:     1732
kernel:         4.4.6-301.fc23.x86_64
package:        Thunar-1.6.10-2.fc23
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-11-24 09:18:35 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 12:07:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.